Subject: bug#21846: 25.0.50; emacs hebrew script bidi nikud rendering bug

From: Mark David <[email-masked]>
Date: Sat, 07 Nov 2015 16:56:18 -0800

Requested info below:

On 11/7/15, 11:24 AM, "Benjamin Riefenstahl" <[email-masked]> wrote:

>Eli Zaretskii writes:
>
>>>From: Benjamin Riefenstahl <[email-masked]>
>>>When I use "FreeSerif", a small part of the problems go away, see the
>>>attached screenshots.
>>
>>Emacs cannot compose characters unless they come from the same font.
>>Are you sure the base characters and the diacriticals come from the
>>same font, in those cases where the display is incorrect?
>
>Right.  I checked that now.  For me the default configuration (emacs -Q)
>uses "DejaVu Sans Mono" for numbers and spaces and "FreeMono" for
>Hebrew, base characters as well as nikud.  After I call M-x
>set-default-font RET FreeSerif RET, that font is used for all
>characters.
>
>@Mark, can you check that in your case "Droid Sans Mono" is actually
>used for the Hebrew?  Put the cursor on some on the character in
>question and do M-x describe-char RET, the font should be mentioned in
>the resulting help text.

With the cursor on the double yud of the first "paragraph" of the original ytest.txt:

             position: 8 of 2166 (0%), column: 5
character: ײ‎ (displayed as ײ‎) (codepoint 1522, #o2762, #x5f2)
preferred charset: unicode (Unicode (ISO10646))
code point in charset: 0x05F2
script: hebrew
syntax: w which means: word
category: .:Base, R:Right-to-left (strong)
to input: type "C-x 8 RET 5f2" or "C-x 8 RET HEBREW LIGATURE YIDDISH DOUBLE YOD"
buffer code: #xD7 #xB2
file code: #xD7 #xB2 (encoded by coding system utf-8-unix)
display: by this font (glyph code)
xft:-unknown-FreeMono-normal-normal-normal-*-18-*-*-*-m-0-iso10646-1 (#x504)

Character code properties: customize what to show
name: HEBREW LIGATURE YIDDISH DOUBLE YOD
old-name: HEBREW LETTER DOUBLE YOD
general-category: Lo (Letter, Other)
decomposition: (1522) ('ײ')

With cursor on the daled in the second "paragraph" of the original ytest.txt:

             position: 580 of 2166 (27%), column: 3
character: ד‎ (displayed as ד‎) (codepoint 1491, #o2723, #x5d3)
preferred charset: iso-8859-8 (ISO/IEC 8859/8)
code point in charset: 0xE3
script: hebrew
syntax: w which means: word
category: .:Base, R:Right-to-left (strong)
to input: type "C-x 8 RET 5d3" or "C-x 8 RET HEBREW LETTER DALET"
buffer code: #xD7 #x93
file code: #xD7 #x93 (encoded by coding system utf-8-unix)
display: by this font (glyph code)
xft:-unknown-FreeMono-normal-normal-normal-*-18-*-*-*-m-0-iso10646-1 (#x4EA)

Character code properties: customize what to show
name: HEBREW LETTER DALET
general-category: Lo (Letter, Other)
decomposition: (1491) ('ד')